Modeling Wizard Plugin for AutomationML Editor Version1.0.0.1 Plugin |

Public Member Functions | Properties | List of all members
Aml.Editor.Plugin.ElectricalInterfaceParameters Class Reference

## Public Member Functions
| ElectricalInterfaceParameters ()
| ElectricalInterfaceParameters (string name, string value, string _default, string unit, string reference, string description, string copyRight, string semantic, string attributePath)
override string | ToString ()

## Properties
string | AttributeName`[get, set]`
string | Values`[get, set]`
string | Default`[get, set]`
string | Units`[get, set]`
string | DataType`[get, set]`
string | Semantic`[get, set]`
string | Reference`[get, set]`
string | Description`[get, set]`
string | CopyRight`[get, set]`
string | AttributePath`[get, set]`

## Constructor & Destructor Documentation

## ◆ ElectricalInterfaceParameters() [1/2]

Aml.Editor.Plugin.ElectricalInterfaceParameters.ElectricalInterfaceParameters | ( |  | ) |
| inline

## ◆ ElectricalInterfaceParameters() [2/2]

Aml.Editor.Plugin.ElectricalInterfaceParameters.ElectricalInterfaceParameters | ( | string | name,
|  | string | value,
|  | string | _default,
|  | string | unit,
|  | string | reference,
|  | string | description,
|  | string | copyRight,
|  | string | semantic,
|  | string | attributePath
| ) |  |
| inline

## Member Function Documentation

## ◆ ToString()

override string Aml.Editor.Plugin.ElectricalInterfaceParameters.ToString | ( |  | ) |
| inline

## Property Documentation

## ◆ AttributeName

string Aml.Editor.Plugin.ElectricalInterfaceParameters.AttributeName
| get set

## ◆ AttributePath

string Aml.Editor.Plugin.ElectricalInterfaceParameters.AttributePath
| get set

## ◆ CopyRight

string Aml.Editor.Plugin.ElectricalInterfaceParameters.CopyRight
| get set

## ◆ DataType

string Aml.Editor.Plugin.ElectricalInterfaceParameters.DataType
| get set

## ◆ Default

string Aml.Editor.Plugin.ElectricalInterfaceParameters.Default
| get set

## ◆ Description

string Aml.Editor.Plugin.ElectricalInterfaceParameters.Description
| get set

## ◆ Reference

string Aml.Editor.Plugin.ElectricalInterfaceParameters.Reference
| get set

## ◆ Semantic

string Aml.Editor.Plugin.ElectricalInterfaceParameters.Semantic
| get set

## ◆ Units

string Aml.Editor.Plugin.ElectricalInterfaceParameters.Units
| get set

## ◆ Values

string Aml.Editor.Plugin.ElectricalInterfaceParameters.Values
| get set

The documentation for this class was generated from the following file:

- MWDevice.cs